Publications

Read current destination confirmation and captured execution identities

GET
/api/projects/{projectId}/publications/{publicationId}/destination

Authorization

headerAuthorizationBearer <Postdot API key>

A user-owned Postdot API key sent as Authorization: Bearer <token>. Its project scope is limited by the creator’s current access.

Path Parameters

projectId*string
Length1 <= length
publicationId*string
Length1 <= length

Response Body

Response for status 200

application/json
  1. response
destination*
Example Request
curl -X GET 'https://postbot.example/api/projects/string/publications/string/destination'
Example Response
{
  "destination": {
    "revision": 0,
    "confirmedRevision": 0,
    "requiresConfirmation": true,
    "connected": true,
    "current": {},
    "history": [
      {
        "id": "string",
        "createdAt": 0,
        "destination": {}
      }
    ]
  }
}

Was this page helpful?